      subroutine ms_ridat_mm(msgtype)

      use gms
      use communicate
      implicit none
      include 'fpvm3.h'
      integer, intent(in) :: msgtype
      integer :: idiag
      integer :: nstrg
!     integer :: me
      real(8) :: eps
      character(len=30) :: myparnt = 'mm'
      external fbuff
      IF(itd.EQ.1) THEN
!       CALL pvmfunpack( REAL8, time, 1, 1, info )
      ENDIF
      call recv(msgtype, myparnt)
      call upk(idiag)
      call upk(maxiter)
!     call upk(fdna, nproc)
      call upk(hnu1)
      call upk(hnu2)
      call upk(fwhm) 
      call upk(eps)
      call upk(elmt,nstrg)
      call upk(itd)
      if(itd.EQ.1) then
!       call upk(time)
      endif
      me=get_me()
      element = elmt((me*2+1):(me*2)+2)
      end subroutine ms_ridat_mm
